DIAMS iQ 是一种具有三层架构的企业软件解决方案,包括应用服务器,数据库服务器和用户界面。应用服务器托管使用微软 Web API 技术作为Windows 服务的 DIAMS iQ 业务逻辑。DIAMS iQ 数据存储在微软 SQL 服务器托管的数据库中。DIAMS iQ 用户界面是以微软 Smart Client 技术开发的。DIAMS iQ 智能客户端通过内部网与应用服务器进行通信,并通过 HTTP 或 HTTPS / SSL 进行互联网连接。

智能客户端可通过微软的 ClickOnce 部署机制一键安装到用户的配置文件中。ClickOnce 应用程序自动更新,无需任何用户操作,安装不会影响其他应用程序,也无需管理权限。根据要求,我们可以提供传统的 MSI 软件包来安装 DIAMS iQ 的智能客户端。在这种环境下,ClickOnce(一键安装,自动更新,无管理权限)的所有优点都将不再适用。客户端应用程序使用由可信证书颁发机构(CA)颁发的“Dennemeyer”证书进行签名。

应用服务器

  • Windows Server 2012 R2、2016 或 2019
  • 微软 .NET Framework 4.8
  • 微软 PowerShell(4.0+)
  • Windows 搜索服务
  • SSL 证书
  • 至少 1GB 磁盘空间用于安装 DIAMS iQ 应用程序服务
  • 双核处理器运行频率 2.5GHz 或以上
  • 至少 4GB 内存

数据库服务器

  • 微软 SQL Server 2016、2016, 2017, 或2019(标准版)
  • 存储数据库文件的空间要求根据客户情况会有不同
  • 双核处理器运行频率 2.5GHz 或以上
  • 至少 4GB 内存

用户电脑

  • Windows 8/8.1 or Windows 10
  • 微软 .NET Framework 4.8
  • 微软 Office 2010, 2013, 2016, 2019 或微软 Office 365 (Word、Outlook 和 Excel)
  • PDF 阅读器
  • 300MB 剩余空间用于安装智能客户端应用
  • 单处理器频率 1.5GHz 或更高,至少 2GB 内存
  • 1024x768 或更高屏幕分辨率
  • 取决于使用情况或占用网络流量的其他应用,网络带宽至少需要 500kbit/s 或更高

DIAMS Direct

  • Windows Server 2012  R2 或更高版本
  • 微软 SQL Server 2016 SP2 或更高版本
  • SSL 证书
  • 互联网信息服务 8 或以上
  • 微软 .NET Framework 4.7
  • 针对最新版本的 Google Chrome、Firefox、Safari 和 Microsoft Edge 进行了优化

DIAMS Invent

  • Windows Server 2012  R2 或更高版本
  • 微软 SQL Server 2016, 2017 或 2019(标准版或更高版本)
  • 微软 .Net Framework 4.7
  • SSL 证书
  • 互联网信息服务 8 或以上
  • 针对最新版本的 Google Chrome、Firefox、Safari、Microsoft Edge 和 Internet Explorer 进行了优化

DIAMS Collaborate

  • Windows Server 2012 R2 或更高版本
  • 微软 SQL Server 2016、2017 或 2019(标准版或更高版本)
  • 互联网信息服务 8 或以上
  • SSL 证书
  • 针对最新版本的 Google Chrome、Firefox 和 Microsoft Edge 进行了优化
用于管理知识产权的先进数字工具
更多 IP 软件和 APP

作为一个全球性的 IP 集团,我们提供用于支持全球 IP 管理的数字工具。从适用于特定行动的智能工具或 APP,到适合律师事务所或企业的大规模管理解决方案。